#include "gosGml.hpp"

//===========================================================================//
// File:	 GmlParsedString.cpp											 //
// Project:  gosGml				                                         //
// Contents:																 //
//---------------------------------------------------------------------------//
// Date      Who    Modification                                             //
// 4/10/00   DP     Created													 //
//---------------------------------------------------------------------------//
// Copyright (C) 2000 Microsoft Corp.						                 //
// All Rights reserved worldwide                                             //
// This unpublished sourcecode is PROPRIETARY and CONFIDENTIAL               //
//===========================================================================//

#include "GmlParsedString.h"

GmlImageParsedTag::GmlImageParsedTag()
	:FileName(0),Align(0),Alt(0)
{
}

GmlImageParsedTag::~GmlImageParsedTag()
{
}

GmlParsedString::GmlParsedString()
	:DType(GmlParsedString_PlainText),Text(0),LinkDest(0),Extra(0),Font(NULL),Alt(NULL)
{
}

GmlParsedString::~GmlParsedString()
{
	if(Text) 
		delete[] Text;
	if(LinkDest) 
		delete[] LinkDest;
	if(Font) 
		delete Font;
	if(Alt)
		delete[] Alt;
}